Bug 822736 - [as7] extra/redundant jars are getting added to the jboss-as-7 plugin jar's lib directory
[as7] extra/redundant jars are getting added to the jboss-as-7 plugin jar's l...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.4
Unspecified Unspecified
high Severity high (vote)
: ---
: RHQ 4.5.0
Assigned To: Charles Crouch
Mike Foley
:
Depends On:
Blocks: as7-plugin 822947
  Show dependency treegraph
 
Reported: 2012-05-17 22:32 EDT by Ian Springer
Modified: 2015-02-01 18:28 EST (History)
3 users (show)

See Also:
Fixed In Version: 4.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 822947 (view as bug list)
Environment:
Last Closed: 2013-09-01 06:17:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ian Springer 2012-05-17 22:32:04 EDT
There are a bunch of extra jars that shouldn't be in there, mostly maven/plexus jars: 

 13494 Sun May 13 20:29:44 EDT 2012 lib/plexus-cipher-1.4.jar
 14438 Sun May 13 20:29:44 EDT 2012 lib/aether-spi-1.8.jar
 11063 Sun May 13 20:29:44 EDT 2012 lib/wagon-file-1.0-beta-7.jar
146418 Sun May 13 20:29:44 EDT 2012 lib/shrinkwrap-impl-base-1.0.0.jar
222137 Sun May 13 20:29:44 EDT 2012 lib/plexus-utils-2.0.4.jar
114622 Sun May 13 20:29:44 EDT 2012 lib/aether-util-1.8.jar
133826 Sun May 13 20:29:44 EDT 2012 lib/xbean-reflect-3.4.jar
 43621 Sun May 13 20:29:44 EDT 2012 lib/shrinkwrap-resolver-impl-maven-1.0.0-beta-6.jar
639592 Sun May 13 20:29:44 EDT 2012 lib/google-collections-1.0.jar
 52151 Sun May 13 20:29:44 EDT 2012 lib/maven-aether-provider-3.0.1.jar
 61072 Sun May 13 20:29:44 EDT 2012 lib/plexus-interpolation-1.14.jar
 36902 Sun May 13 20:29:44 EDT 2012 lib/shrinkwrap-descriptors-spi-2.0.0-alpha-2.jar
 14991 Sun May 13 20:29:44 EDT 2012 lib/wagon-http-lightweight-1.0-beta-7.jar
  4211 Sun May 13 20:29:44 EDT 2012 lib/plexus-component-annotations-1.5.5.jar
 46676 Sun May 13 20:29:44 EDT 2012 lib/maven-settings-3.0.1.jar
 11233 Sun May 13 20:29:44 EDT 2012 lib/shrinkwrap-resolver-api-1.0.0-beta-6.jar
148105 Sun May 13 20:29:44 EDT 2012 lib/maven-model-builder-3.0.1.jar
228417 Sun May 13 20:29:44 EDT 2012 lib/jackson-core-asl-1.9.5.jar
 62586 Sun May 13 20:29:44 EDT 2012 lib/shrinkwrap-api-1.0.0.jar
216640 Sun May 13 20:29:44 EDT 2012 lib/plexus-container-default-1.5.5.jar
 44598 Sun May 13 20:29:44 EDT 2012 lib/commons-logging-api-1.1.jar
 25516 Sun May 13 20:29:44 EDT 2012 lib/wagon-http-shared-1.0-beta-7.jar
 28555 Sun May 13 20:29:44 EDT 2012 lib/plexus-sec-dispatcher-1.3.jar
 88682 Sun May 13 20:29:44 EDT 2012 lib/jboss-sasl-1.0.0.Final.jar
164683 Sun May 13 20:29:44 EDT 2012 lib/maven-model-3.0.1.jar
778983 Sun May 13 20:29:44 EDT 2012 lib/jackson-mapper-asl-1.9.5.jar
108886 Sun May 13 20:29:44 EDT 2012 lib/aether-impl-1.8.jar
  3646 Sun May 13 20:29:44 EDT 2012 lib/shrinkwrap-spi-1.0.0.jar
 14313 Sun May 13 20:29:44 EDT 2012 lib/shrinkwrap-resolver-api-maven-1.0.0-beta-6.jar
 60768 Sun May 13 20:29:44 EDT 2012 lib/jboss-logging-3.1.0.GA.jar
 41026 Sun May 13 20:29:44 EDT 2012 lib/maven-settings-builder-3.0.1.jar
 30087 Sun May 13 20:29:44 EDT 2012 lib/maven-repository-metadata-3.0.1.jar
 53227 Sun May 13 20:29:44 EDT 2012 lib/wagon-provider-api-1.0-beta-7.jar
 15140 Sun May 13 20:29:44 EDT 2012 lib/shrinkwrap-descriptors-api-base-2.0.0-alpha-2.jar
 46088 Sun May 13 20:29:44 EDT 2012 lib/plexus-classworlds-2.2.2.jar
 28432 Sun May 13 20:29:44 EDT 2012 lib/aether-connector-wagon-1.8.jar
 77252 Sun May 13 20:29:44 EDT 2012 lib/aether-api-1.8.jar



The only jars that actually should be in there are:

 88682 Thu May 17 22:12:30 EDT 2012 lib/jboss-sasl-1.0.0.Final.jar
778983 Thu May 17 22:12:30 EDT 2012 lib/jackson-mapper-asl-1.9.5.jar
228417 Thu May 17 22:12:30 EDT 2012 lib/jackson-core-asl-1.9.5.jar
Comment 1 Ian Springer 2012-05-17 22:35:37 EDT
Fixed in master:

http://git.fedorahosted.org/git?p=rhq/rhq.git;a=commitdiff;h=d2d6d9c
Comment 2 Ian Springer 2012-05-18 11:20:43 EDT
Cherry picked to 3.1.x release branch:

http://git.fedorahosted.org/git?p=rhq/rhq.git;a=commitdiff;h=18a351c
Comment 5 Heiko W. Rupp 2013-09-01 06:17:41 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.